Subject: Re: bug#32975: Emacs 26.1; GTK Warnings

From: Tjernlund <[email-masked]>
Date: Wed, 10 Oct 2018 19:44:13 +0200

On Wed, 2018-10-10 at 12:08 +0200, Robert Pluim wrote:
> martin rudalics <[email-masked]> writes:
> 
> > > I can't reproduce this under Gnome or KDE, with the same GTK version.
> > > Which window manager/desktop environment is being used here?

This is under MATE

> > 
> > I don't have that GTK version installed to test here.  But note this
> > question of the OP:
> > 
> > > The left side scroll bar?
> > 
> > By default, GTK builds show scroll bars on the right so either he has
> > customized them already (which makes me wonder why he asked how to
> > turn off scroll bars) or other strange things are going on.

I have not, maybe Gentoo has ?

> 
> Ah, the configure command has '--without-toolkit-scroll-bars', so the
> error is even more mystifying.
> 
> I can't reproduce even with '--without-toolkit-scroll-bars'.
> 
> This is all under X11 though, perhaps the OP is using Wayland?

X11

I now did some more test and found that (require 'ecb) is also needed.

Here is my .emacs;

;(scroll-bar-mode 0)
(setq inhibit-splash-screen t)
(global-set-key "\C-cg" 'goto-line)
(require 'ecb)
;; Color settings.
(setq default-frame-alist '((background-color . "#333333") (foreground-color . "White") (cursor-color . "White")))
(setq initial-frame-alist default-frame-alist)

(defun my-commit-mode()
(ispell-change-dictionary "en")
;; Flyspell commit msgs
(flyspell-mode)
;; Do not create svn-commit.tmp~ backup file
(set (make-local-variable 'backup-inhibited) t))

(setq auto-mode-alist (cons '("/svn-commit\\.tmp\\'" . my-commit-mode)
auto-mode-alist))

(setq auto-mode-alist (cons '("COMMIT_EDITMSG" . my-commit-mode)
auto-mode-alist))